Index: map_win.cc
===================================================================
--- map_win.cc	(revision 30)
+++ map_win.cc	(revision 31)
@@ -24,29 +24,4 @@
   for(int i=0;i<EDGE_PROPERTY_NUM;i++)
   {
-
-    std::map< std::string,Graph::EdgeMap<double> * >::iterator emsi=ms.beginOfEdgeMaps();
-    std::set<int> props;
-
-    int actprop;
-
-    //here we find out, which map is the default in MapStorage for this property, which are not
-    for(int j=0;j<ms.numOfEdgeMaps();j++)
-    {
-      //this is the default value for this property
-      if(emsi->second==&(ms.default_edgemaps[i]))
-      {
-	actprop=j;
-      }
-      //these are the maps NOT to show for this property
-      for(int k=0;k<EDGE_PROPERTY_NUM;k++)
-      {
-	if(emsi->second==&(ms.default_edgemaps[k]))
-	{
-	  props.insert(j);
-	}
-      }
-      emsi++;
-    }
-
     //filling in combo box with choices
     std::list<Glib::ustring> listStrings;
@@ -54,13 +29,8 @@
     listStrings.push_back("Default");
 
-    emsi=ms.beginOfEdgeMaps();
-
-    for(int j=0;j<ms.numOfEdgeMaps();j++)
-    {
-      if( ( props.find(j) )==( props.end() ) )
-      {
+    std::map< std::string,Graph::EdgeMap<double> * >::iterator emsi=ms.beginOfEdgeMaps();
+    for(;emsi!=ms.endOfEdgeMaps();emsi++)
+    {
 	listStrings.push_back(emsi->first);
-      }
-      emsi++;
     }
 
@@ -103,29 +73,4 @@
   for(int i=0;i<NODE_PROPERTY_NUM;i++)
   {
-
-    std::map< std::string,Graph::NodeMap<double> * >::iterator emsi=ms.beginOfNodeMaps();
-    std::set<int> props;
-
-    int actprop;
-
-    //here we find out, which map is the default in MapStorage for this property, which are not
-    for(int j=0;j<ms.numOfNodeMaps();j++)
-    {
-      //these are the maps NOT to show for this property
-      if(emsi->second==&(ms.default_nodemaps[i]))
-      {
-	actprop=j;
-      }
-      //this is the other maps to show for this property
-      for(int k=0;k<NODE_PROPERTY_NUM;k++)
-      {
-	if(emsi->second==&(ms.default_nodemaps[k]))
-	{
-	  props.insert(j);
-	}
-      }
-      emsi++;
-    }
-
     //filling in combo box with choices
     std::list<Glib::ustring> listStrings;
@@ -133,13 +78,9 @@
     listStrings.push_back("Default");
 
-    emsi=ms.beginOfNodeMaps();
-
-    for(int j=0;j<ms.numOfNodeMaps();j++)
-    {
-      if( ( props.find(j) )==( props.end() ) )
-      {
-	listStrings.push_back(emsi->first);
-      }
-      emsi++;
+    std::map< std::string,Graph::NodeMap<double> * >::iterator emsi=ms.beginOfNodeMaps();
+
+    for(;emsi!=ms.endOfNodeMaps();emsi++)
+    {
+      listStrings.push_back(emsi->first);
     }
 
@@ -189,10 +130,5 @@
     if(!(mapname.empty())) //We seem to get 2 signals, one when the text is empty.
     {
-      if(mapname=="Default")
-      {
-	mapname=edge_property_strings[prop];
-      }
-
-      if( (ms.edgemap_storage).find(mapname) != (ms.edgemap_storage).end() )
+      if( ( (ms.edgemap_storage).find(mapname) != (ms.edgemap_storage).end() ) || (mapname=="Default") )
       {
 	switch(prop)
@@ -225,10 +161,5 @@
     if(!(mapname.empty())) //We seem to get 2 signals, one when the text is empty.
     {
-      if(mapname=="Default")
-      {
-	mapname=node_property_strings[prop];
-      }
-
-      if( (ms.nodemap_storage).find(mapname) != (ms.nodemap_storage).end() )
+      if( ( (ms.nodemap_storage).find(mapname) != (ms.nodemap_storage).end() ) || (mapname=="Default") )
       {
 	switch(prop)
@@ -262,16 +193,10 @@
 	  if(!(mapname.empty())) //We seem to get 2 signals, one when the text is empty.
 	    {
-	      if(mapname=="Default")
-		{
-		  mapname=node_property_strings[i];
-		}
-
-	      if( (ms.nodemap_storage).find(mapname) != (ms.nodemap_storage).end() )
+	      if( ( (ms.nodemap_storage).find(mapname) != (ms.nodemap_storage).end() ) || (mapname=="Default") )
 		{
 		  switch(i)
 		    {
 		    case N_RADIUS:
-		      //gdc.changeNodeRadius(mapname, node);
-		      std::cout << "If default map-value problem is solved, uncomment line in MapWin::node_update!" << std::endl;
+		      gdc.changeNodeRadius(mapname, node);
 		      break;
 		    case N_COLOR:
@@ -302,16 +227,11 @@
 	  if(!(mapname.empty())) //We seem to get 2 signals, one when the text is empty.
 	    {
-	      if(mapname=="Default")
-		{
-		  mapname=edge_property_strings[i];
-		}
-
-	      if( (ms.edgemap_storage).find(mapname) != (ms.edgemap_storage).end() )
+
+	      if( ( (ms.edgemap_storage).find(mapname) != (ms.edgemap_storage).end() ) || (mapname=="Default") )
 		{
 		  switch(i)
 		    {
 		    case E_WIDTH:
-		      //gdc.changeEdgeWidth(mapname, edge);
-		      std::cout << "If default map-value problem is solved, uncomment line in MapWin::edge_update!" << std::endl;
+		      gdc.changeEdgeWidth(mapname, edge);
 		      break;
 		    case E_COLOR:
